-- https://github.com/nvim-treesitter/nvim-treesitter/blob/main/README.md

-- Stelle sicher, dass die TreeSitter-CLI installiert ist:
-- MacOS: `brew install tree-sitter-cli`
-- FreeBSD: `doas pkg install tree-sitter-cli`

return {
  {
    "nvim-treesitter/nvim-treesitter",
    branch = "main",
    build = ":TSUpdate",
    event = "BufReadPost",
    lazy = true,
    config = function()
      local treesitter = require("nvim-treesitter")
      local langs = require("config.treesitter").languages

      -- treesitter.setup({})

      treesitter.install(langs)
    end,
  },
}
